# $Revision: 1.8 $, $Date: 2004/06/16 17:18:13 $
Summary:	Mother of all Gravity Games
Summary(pl):	Matka wszystkich gier grawitacyjnych
Name:		moagg
Version:	0.10
Release:	1
License:	GPL
Group:		Applications/Games
Source0:	http://dl.sourceforge.net/%{name}/%{name}-%{version}-src.tar.bz2
# Source0-md5:	4fee4ae21e6b788c9a8d89161be2ae6a
Source1:	http://dl.sourceforge.net/%{name}/%{name}-%{version}-data.tar.bz2
# Source1-md5:	2d340bf3873e310b9a3aff5f11107462
URL:		http://moagg.sourceforge.net/
BuildRequires:	SDL-devel >= 1.2.0
BuildRequires:	SDL_gfx-devel
BuildRequires:	SDL_mixer-devel
BuildRequires:	automake
BuildRequires:	expat-devel
BuildRequires:	freetype-devel >= 2.1.0
BuildRequires:	paragui1-devel >= 1.0.4
BuildRequires:	paragui1-devel < 1.1.0
BuildRequires:	sed >= 4.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Moagg combines several game types of other genres like races, search &
rescue, seek & destroy et cetera into a 2D gravity game. You are pilot
of a small space ship and have to navigate that ship through different
levels. But beside the gravity that drags you down there are other
obstacles like laser ports, magnets, black holes, cannons, rockets and
grinders you have to master.

%description -l pl
Moagg czy kilka rodzajw gier innych gatunkw, takich jak wycigi,
znajd-i-uratuj, znajd-i-zniszcz itp., w dwuwymiarow gr
grawitacyjn. Gracz jest pilotem maego statku kosmicznego i musi
kierowa statkiem poprzez rne poziomy. Oprcz cigajcej w d
grawitacji s jeszcze inne przeszkody, jak porty laserowe, magnesy,
czarne dziury, dziaa, rakiety i zgniatacze, nad ktrymi trzeba
zapanowa.

%prep
%setup -q -b1

%build
sed -i -e 's#paragui-config#paragui1-config#g' configure* *.m4
cp -f /usr/share/automake/config.* .
SDL_VIDEODRIVER=dummy; export SDL_VIDEODRIVER
%configure
%{__make} \
	CFLAGS="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README TODO
%attr(755,root,root) %{_bindir}/*
%{_datadir}/games/%{name}
%{_mandir}/man6/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: moagg.spec,v $
Revision 1.8  2004/06/16 17:18:13  arekm
- fix md5

Revision 1.7  2004/06/13 21:14:42  arekm
- updated to 0.10

Revision 1.6  2004/05/22 19:12:12  ankry
- cosmetics

Revision 1.5  2004/05/22 15:29:30  qboosh
- fixed build on amd64, added versions to SDL,freetype BRs, release 2

Revision 1.4  2004/05/22 14:12:16  arekm
- set SDL_VIDEODRIVER to dummy so configure passes even if no real sdl video device

Revision 1.3  2004/05/22 11:46:44  arekm
- updated to 0.9

Revision 1.2  2004/04/25 13:19:47  qboosh
- pl, unifications

Revision 1.1  2004/04/24 18:14:26  arekm
- initial pld release
